## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-sdnotify
Version:        0.3.2
Release:        %autorelease
License:        MIT
Summary:        A pure Python implementation of systemd's service notification protocol
URL:            https://github.com/bb4242/sdnotify
Source0:        %{pypi_source sdnotify}
BuildArch:      noarch

BuildRequires: python3-devel

Requires: systemd

%global _description %{expand:
This is a pure Python implementation of the systemd sd_notify protocol. This
protocol can be used to inform systemd about service start-up completion,
watchdog events, and other service status changes. Thus, this package can be
used to write system services in Python that play nicely with systemd. sdnotify
is compatible with both Python 2 and Python 3.
}

%description %_description

%package -n     python3-sdnotify
Summary:        %{summary}

%description -n python3-sdnotify %_description

%prep
%autosetup -n sdnotify-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sdnotify

%check
# NOTE(neil) - 2023-01-25 upstream does not provide any tests yet
%pyproject_check_import

%files -n python3-sdnotify -f %{pyproject_files}
%license LICENSE.txt

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.3.2-7
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.3.2-3
- Rebuilt for Python 3.12

* Thu Jan 26 2023 Neil Hanlon <neil@rockylinux.org> - 0.3.2-2
- fix sources syntax

* Thu Jan 26 2023 Neil Hanlon <neil@rockylinux.org> - 0.3.2-1
- Initial package commit
## END: Generated by rpmautospec
